Skip to main content
POST
Query an Input

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the Input to query. The Input must be uploaded and in a valid state for queries.

Body

application/json
question
string
required

The question to ask about the input content. Required when use_preset is false.

Maximum string length: 10000
model
enum<string>
default:perception-0-fast

The perception model to use.

Available options:
perception-0-fast,
perception-0-thinking
query_type
enum<string>
default:synchronous

The type of the query. Synchronous queries block and return results in response. perception-0-thinking requires asynchronous.

Available options:
synchronous,
asynchronous
ignore_artifacts
boolean
default:false

Skips using pre-processing enhancements for queries. Increases latency, ignored for perception-0-thinking.

use_preset
boolean
default:false

Return a structured JSON response instead of natural language. When true, the response populates structured_answer instead of short_answer. Reach out to [email protected] to configure structured responses.

Response

Query processed successfully

id
string<uuid>
project_id
string<uuid>
input_id
string<uuid> | null
collection_id
string<uuid> | null
query_type
enum<string>
Available options:
asynchronous,
synchronous,
background
model
enum<string>

The perception model used for this query.

Available options:
perception-0-fast,
perception-0-thinking
status
enum<string>

The status of the query. Synchronous queries always return completed status.

Available options:
processing,
completed,
failed
use_preset
boolean

Whether structured output was requested for this query.

question
string | null
Example:

"What's happening in this video?"

short_answer
string | null

Natural language answer. Populated when use_preset is false.

answer_uri
string<uri> | null

URI to full answer when result is too long.

structured_answer
object | null

Structured JSON response when use_preset is true. Reach out to [email protected] to configure structured responses.

feedback
object | null

User feedback

created_at
string<date-time>
Example:

"2026-04-20T12:34:56.000Z"